glibmm: Gio::DBus Namespace Reference

glibmm 2.58.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
Gio::DBus Namespace Reference

## Namespaces
| Address
| ErrorUtils

## Classes
class | ActionGroup
| ActionGroup - A D-Bus Gio::ActionGroup implementation. More...
class | AnnotationInfo
| Stores information about an annotation. More...
class | ArgInfo
| ArgInfo - Stores information about an argument for a method or a signal. More...
class | AuthObserver
| AuthObserver - An object used for authenticating connections. More...
class | Connection
| A D-Bus Connection. More...
class | Error
class | Interface
| Interface - Base type for D-Bus interfaces. More...
class | InterfaceInfo
| Stores information about a D-Bus interface. More...
class | InterfaceSkeleton
| Abstract base class for D-Bus interfaces on the service side. More...
class | InterfaceVTable
| This represents a virtual table for handling properties and method calls for a D-Bus interface. More...
class | MenuModel
| MenuModel - A D-Bus Gio::MenuModel implementation. More...
class | Message
| A type for representing D-Bus messages that can be sent or received on a Connection. More...
class | MethodInfo
| Stores information about a method on an D-Bus interface. More...
class | MethodInvocation
| An Object for handling remote calls. More...
class | NodeInfo
| NodeInfo - Stores information about nodes in a remote object hierarchy. More...
class | Object
| Object - Base type for D-Bus objects. More...
class | PropertyInfo
| Stores information about a property on a D-Bus interface. More...
class | Proxy
| A client-side proxy. More...
class | Server
| This is a helper for listening to and accepting D-Bus connections. More...
class | SignalInfo
| Stores information about a signal on a D-Bus interface. More...
class | SubtreeVTable
| This represents a virtual table for subtrees registered with Gio::DBus::Connection::register_subtree(). More...

## Typedefs
using | SlotBusAcquired = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring >
| For example, void on_bus_acquired(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameAcquired = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring >
| For example, void on_name_acquired(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameLost = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring >
| For example, void on_name_lost(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameAppeared = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring, const Glib::ustring& >
| For example, void on_name_appeared(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name, const Glib::ustring& name_owner);. More...
using | SlotNameVanished = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring >
| For example, void on_name_vanished(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...

## Enumerations

## Functions
CallFlags | operator| (CallFlags lhs, CallFlags rhs)
CallFlags | operator& (CallFlags lhs, CallFlags rhs)
CallFlags | operator^ (CallFlags lhs, CallFlags rhs)
CallFlags | operator~ (CallFlags flags)
CallFlags& | operator|= (CallFlags& lhs, CallFlags rhs)
CallFlags& | operator&= (CallFlags& lhs, CallFlags rhs)
CallFlags& | operator^= (CallFlags& lhs, CallFlags rhs)
ConnectionFlags | operator| (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator& (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator^ (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator~ (ConnectionFlags flags)
ConnectionFlags& | operator|= (ConnectionFlags& lhs, ConnectionFlags rhs)
ConnectionFlags& | operator&= (ConnectionFlags& lhs, ConnectionFlags rhs)
ConnectionFlags& | operator^= (ConnectionFlags& lhs, ConnectionFlags rhs)
SendMessageFlags | operator| (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator& (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator^ (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator~ (SendMessageFlags flags)
SendMessageFlags& | operator|= (SendMessageFlags& lhs, SendMessageFlags rhs)
SendMessageFlags& | operator&= (SendMessageFlags& lhs, SendMessageFlags rhs)
SendMessageFlags& | operator^= (SendMessageFlags& lhs, SendMessageFlags rhs)
SignalFlags | operator| (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator& (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator^ (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator~ (SignalFlags flags)
SignalFlags& | operator|= (SignalFlags& lhs, SignalFlags rhs)
SignalFlags& | operator&= (SignalFlags& lhs, SignalFlags rhs)
SignalFlags& | operator^= (SignalFlags& lhs, SignalFlags rhs)
SubtreeFlags | operator| (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator& (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator^ (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator~ (SubtreeFlags flags)
SubtreeFlags& | operator|= (SubtreeFlags& lhs, SubtreeFlags rhs)
SubtreeFlags& | operator&= (SubtreeFlags& lhs, SubtreeFlags rhs)
SubtreeFlags& | operator^= (SubtreeFlags& lhs, SubtreeFlags rhs)
InterfaceSkeletonFlags | operator| (InterfaceSkeletonFlags lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags | operator& (InterfaceSkeletonFlags lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags | operator^ (InterfaceSkeletonFlags lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags | operator~ (InterfaceSkeletonFlags flags)
InterfaceSkeletonFlags& | operator|= (InterfaceSkeletonFlags& lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags& | operator&= (InterfaceSkeletonFlags& lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags& | operator^= (InterfaceSkeletonFlags& lhs, InterfaceSkeletonFlags rhs)
PropertyInfoFlags | operator| (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator& (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator^ (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator~ (PropertyInfoFlags flags)
PropertyInfoFlags& | operator|= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
PropertyInfoFlags& | operator&= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
PropertyInfoFlags& | operator^= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
MessageFlags | operator| (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator& (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator^ (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator~ (MessageFlags flags)
MessageFlags& | operator|= (MessageFlags& lhs, MessageFlags rhs)
MessageFlags& | operator&= (MessageFlags& lhs, MessageFlags rhs)
MessageFlags& | operator^= (MessageFlags& lhs, MessageFlags rhs)
CapabilityFlags | operator| (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator& (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator^ (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator~ (CapabilityFlags flags)
CapabilityFlags& | operator|= (CapabilityFlags& lhs, CapabilityFlags rhs)
CapabilityFlags& | operator&= (CapabilityFlags& lhs, CapabilityFlags rhs)
CapabilityFlags& | operator^= (CapabilityFlags& lhs, CapabilityFlags rhs)
BusNameOwnerFlags | operator| (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator& (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator^ (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator~ (BusNameOwnerFlags flags)
BusNameOwnerFlags& | operator|= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags& | operator&= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags& | operator^= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
guint | own_name (BusType bus_type, const Glib::ustring& name, const SlotBusAcquired& bus_acquired_slot=SlotBusAcquired(), const SlotNameAcquired& name_acquired_slot=SlotNameAcquired(), const SlotNameLost& name_lost_slot=SlotNameLost(), BusNameOwnerFlags flags=Gio::DBus::BUS_NAME_OWNER_FLAGS_NONE)
| Starts acquiring name on the bus specified by bus_type and calls name_acquired_slot and name_lost_slot when the name is acquired respectively lost. More...
void | unown_name (guint owner_id)
| Stops owning a name. More...
ProxyFlags | operator| (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator& (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator^ (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator~ (ProxyFlags flags)
ProxyFlags& | operator|= (ProxyFlags& lhs, ProxyFlags rhs)
ProxyFlags& | operator&= (ProxyFlags& lhs, ProxyFlags rhs)
ProxyFlags& | operator^= (ProxyFlags& lhs, ProxyFlags rhs)
ServerFlags | operator| (ServerFlags lhs, ServerFlags rhs)
ServerFlags | operator& (ServerFlags lhs, ServerFlags rhs)
ServerFlags | operator^ (ServerFlags lhs, ServerFlags rhs)
ServerFlags | operator~ (ServerFlags flags)
ServerFlags& | operator|= (ServerFlags& lhs, ServerFlags rhs)
ServerFlags& | operator&= (ServerFlags& lhs, ServerFlags rhs)
ServerFlags& | operator^= (ServerFlags& lhs, ServerFlags rhs)
std::string | generate_guid ()
| Generate a D-Bus GUID that can be used with e.g. More...
bool | is_guid (const std::string&string)
| Checks if string is a D-Bus GUID. More...
bool | is_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus bus name (either unique or well-known). More...
bool | is_unique_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus unique bus name. More...
bool | is_member_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus member (e.g. More...
bool | is_interface_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus interface name. More...
BusNameWatcherFlags | operator| (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator& (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator^ (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator~ (BusNameWatcherFlags flags)
BusNameWatcherFlags& | operator|= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags& | operator&= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags& | operator^= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
guint | watch_name (BusType bus_type, const Glib::ustring& name, const SlotNameAppeared& name_appeared_slot=SlotNameAppeared(), const SlotNameVanished& name_vanished_slot=SlotNameVanished(), BusNameWatcherFlags flags=Gio::DBus::BUS_NAME_WATCHER_FLAGS_NONE)
| Starts watching name on the bus specified by bus_type and calls name_appeared_slot and name_vanished_slot when the name is known to have a owner respectively known to lose its owner. More...
guint | watch_name (const Glib::RefPtr< Connection >& connection, const Glib::ustring& name, const SlotNameAppeared& name_appeared_slot=SlotNameAppeared(), const SlotNameVanished& name_vanished_slot=SlotNameVanished(), BusNameWatcherFlags flags=Gio::DBus::BUS_NAME_WATCHER_FLAGS_NONE)
| A watch_name() function that takes a Connection instead of a BusType. More...
void | unwatch_name (guint watcher_id)
| Stops watching a name. More...

## Function Documentation

void Gio::DBus::unown_name | ( | guint | owner_id | ) |

Stops owning a name.

Parameters

  owner_id | An identifier obtained from own_name().